Main Page Groups Namespaces

# retype_return.h File Reference

## Namespaces

namespace | sigc

## Classes

struct | sigc::retype_return_functor<T_return, T_functor>
| Adaptor that perform a C-style cast on the return value of a functor. More...
struct | sigc::retype_return_functor<T_return, T_functor>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::retype_return_functor<void, T_functor>
| Adaptor that perform a C-style cast on the return value of a functor. More...
struct | sigc::retype_return_functor<void, T_functor>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>

## Functions

template<class T_action, class T_return, class T_functor>
void | sigc::visit_each (const T_action& _A_action, const retype_return_functor<T_return, T_functor>& _A_target)
| Performs a functor on each of the targets of a functor.
template<class T_return, class T_functor>
retype_return_functor < T_return, T_functor > | sigc::retype_return (const T_functor& _A_functor)
| Creates an adaptor of type sigc::retype_return_functor which performs a C-style cast on the return value of the passed functor.
template<class T_functor>
retype_return_functor <void, T_functor> | sigc::hide_return (const T_functor& _A_functor)
| Creates an adaptor of type sigc::retype_return_functor which drops the return value of the passed functor.